Filesystem Items
Calculate Download Size
POST
/
fs-items
/
calculate-download-size
Calculate Download Size
curl --request POST \
--url https://api.aspect.inc/fs-items/calculate-download-size \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"asset_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"directory_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"variant": "original"
}
'import requests
url = "https://api.aspect.inc/fs-items/calculate-download-size"
payload = {
"asset_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"directory_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"variant": "original"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
asset_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
directory_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
variant: 'original'
})
};
fetch('https://api.aspect.inc/fs-items/calculate-download-size', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total_size_bytes": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
BearerAuthApiKeyAuth
JWT in Authorization header. 'Bearer ' prefix optional.
Body
application/json
Request to calculate total download size for selected items
List of asset IDs to include in size calculation
List of directory IDs to include (recursively calculates all nested assets)
Storage variant to calculate size for (ORIGINAL or PROXY)
Available options:
original, stream_proxy, audio_proxy, model_proxy, scrub_proxy, scrub_proxy_redacted, scrub_preview, scrub_preview_redacted, preview, doc_proxy Response
Successful Response
Response with total download size
Total size in bytes of all selected assets and directory contents
⌘I
Calculate Download Size

